
class MeasurementStationsCoKriging(object):

    def __init__(self):
        self.Station = []
        self.Lat = []
        self.Lon = []
        self.hmF2 = []
        self.NmF2 = []

    def addStation(self, id, lat, lon, hmf2, nmf2):
        self.Station.append(id)
        self.Lat.append(lat)
        self.Lon.append(lon)
        self.hmF2.append(hmf2)
        self.NmF2.append(nmf2)

    def getCount(self):
        return len(self.Station)

    def getLat(self, position):
        '''
        Return the latitude of one station in the list
        :param position: position of the station in the list
        :return: latitude of the station
        '''
        return self.Lat[position]

    def getAllLat(self):
        return self.Lat

    def getAllLon(self):
        return self.Lon

    def getLon(self, position):
        '''
        Return the longitude of one station in the list
        :param position: position of the station in the list
        :return: longitude of the station
        '''
        return self.Lon[position]

    def getStationID(self, position):
        return self.Station[position]

    def gethmF2(self, position):
        return self.hmF2[position]

    def getNmF2(self, position):
        return self.NmF2[position]

    def removeRefStations(self, stations):
        toDel = []
        counter = 0
        for station in stations:
            for i in range(len(self.Station)):
                if station in self.Station[i]:
                    toDel.append(counter)
            counter += 1

        for delete in toDel:
            del self.Station[delete]
            del self.Lat[delete]
            del self.Lon[delete]
            del self.hmF2[delete]
            del self.NmF2[delete]