#-------------------------------------------------------------------------------
# Configuration file for filter_option4.py and filter_scikit.py
#-------------------------------------------------------------------------------
#path_input = "/home/linux/Development/projects/TBojeUtils/ReconstructionF2Layer/trunk/reconstructIono/Filter"
path_input = "/home/linux/IonoDL285-306/hmF2/data_all222"
path_input_Kp = "/home/linux/Development/projects/TBojeUtils/ReconstructionF2Layer/trunk/bin/reconstruct/KPFileReader/KP/Kp_2011.txt"
path_input_F10p7 = "/home/linux/Development/projects/TBojeUtils/ReconstructionF2Layer/trunk/bin/reconstruct/KPFileReader/KP/F10p7_2011.txt"
path_output = "/home/linux/Development/projects/TBojeUtils/ReconstructionF2Layer/trunk/bin/reconstruct/Filter/Output"
path_output_log = "/home/linux/Development/projects/TBojeUtils/ReconstructionF2Layer/trunk/bin/reconstruct/Filter/log"

year_start = 2011
doy_start = 283
doy_end = 306

bool_exclude_extreme_outliers = True

# parameter values            # standard values
time_to_look = 5              # 5
STD_factor_hmF2_low = 2.4     # 2.4
STD_factor_hmF2_mid = 2.6     # 2.6
STD_factor_hmF2_high = 3.5    # 3.5
STD_factor_NmF2_low = 2.5     # 2.5
STD_factor_NmF2_mid = 2.6     # 2.6
STD_factor_NmF2_high = 3.2    # 3.2
F10p7_high = 150              # 150
F10p7_mid = 100               # 100
Kp_high = 6                   # 6
Kp_mid = 3                    # 3
minNmF2 = 0.03                # 2011_008-032: 0.03, 2011_285-306: 0.05
maxNmF2 = 2.5                 # 2011_008-032: 2.5,  2011_285-306: 3.5
minhmF2 = 150                 # 2011_008-032: 150,  2011_285-306: 180
maxhmF2 = 550                 # 550
std_mid_hmF2 = 45             # 2011_008-032: 45,   2011_285-306: 50
std_high_hmF2 = 65            # 2011_008-032: 65,   2011_285-306: 70
std_mid_NmF2 = 0.25            # 2011_008-032: 0.25, 2011_285-306: 0.3
std_high_NmF2 = 0.3           # 2011_008-032: 0.3,  2011_285-306: 0.5
